aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetBucketObjectVersions

# Documentation

data GetBucketObjectVersions Source #

Constructors

GetBucketObjectVersions |

Fields

- gbovBucket :: Bucket
- gbovDelimiter :: Maybe Text
- gbovKeyMarker :: Maybe Text
- gbovMaxKeys :: Maybe Int
- gbovPrefix :: Maybe Text
- gbovVersionIdMarker :: Maybe Text

#### Instances

Instances details

SignQuery GetBucketObjectVersions Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type ServiceConfiguration GetBucketObjectVersions |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ServiceConfiguration GetBucketObjectVersions = S3Configuration

Methods

signQuery :: GetBucketObjectVersions -> ServiceConfiguration GetBucketObjectVersions queryType -> SignatureData -> SignedQuery Source #

Show GetBucketObjectVersions Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods showsPrec :: Int -> GetBucketObjectVersions -> ShowS Source # show :: GetBucketObjectVersions -> String Source # showList :: [GetBucketObjectVersions] -> ShowS Source #
IteratedTransaction GetBucketObjectVersions GetBucketObjectVersionsResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods nextIteratedRequest :: GetBucketObjectVersions -> GetBucketObjectVersionsResponse -> Maybe GetBucketObjectVersions Source #
Transaction GetBucketObjectVersions GetBucketObjectVersionsResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions
type ServiceConfiguration GetBucketObjectVersions Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ServiceConfiguration GetBucketObjectVersions = S3Configuration

getBucketObjectVersions :: Bucket -> GetBucketObjectVersions Source #

data GetBucketObjectVersionsResponse Source #

Constructors

GetBucketObjectVersionsResponse |

Fields

- gbovrName :: Bucket
- gbovrDelimiter :: Maybe Text
- gbovrKeyMarker :: Maybe Text
- gbovrMaxKeys :: Maybe Int
- gbovrPrefix :: Maybe Text
- gbovrVersionIdMarker :: Maybe Text
- gbovrContents :: [ObjectVersionInfo]
- gbovrCommonPrefixes :: [Text]
- gbovrIsTruncated :: Bool
- gbovrNextKeyMarker :: Maybe Text
- gbovrNextVersionIdMarker :: Maybe Text

#### Instances

Instances details

AsMemoryResponse GetBucketObjectVersionsResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type MemoryResponse GetBucketObjectVersionsResponse |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type MemoryResponse GetBucketObjectVersionsResponse = GetBucketObjectVersionsResponse

Methods

loadToMemory :: GetBucketObjectVersionsResponse -> ResourceT IO (MemoryResponse GetBucketObjectVersionsResponse) Source #

Show GetBucketObjectVersionsResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods showsPrec :: Int -> GetBucketObjectVersionsResponse -> ShowS Source # show :: GetBucketObjectVersionsResponse -> String Source # showList :: [GetBucketObjectVersionsResponse] -> ShowS Source #
IteratedTransaction GetBucketObjectVersions GetBucketObjectVersionsResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods nextIteratedRequest :: GetBucketObjectVersions -> GetBucketObjectVersionsResponse -> Maybe GetBucketObjectVersions Source #
ListResponse GetBucketObjectVersionsResponse ObjectVersionInfo Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods listResponse :: GetBucketObjectVersionsResponse -> [ObjectVersionInfo] Source #
ResponseConsumer r GetBucketObjectVersionsResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type ResponseMetadata GetBucketObjectVersionsResponse |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ResponseMetadata GetBucketObjectVersionsResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketObjectVersionsResponse) -> HTTPResponseConsumer GetBucketObjectVersionsResponse Source #

Transaction GetBucketObjectVersions GetBucketObjectVersionsResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions
type MemoryResponse GetBucketObjectVersionsResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type MemoryResponse GetBucketObjectVersionsResponse = GetBucketObjectVersionsResponse
type ResponseMetadata GetBucketObjectVersionsResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ResponseMetadata GetBucketObjectVersionsResponse = S3Metadata